AUDITON(2)

NAME
auditon - manipulate auditing

SYNOPSIS
#include <sys/label.h>
#include <sys/audit.h>

int auditon (condition)
int condition;

DESCRIPTION

The auditon() system call sets system auditing to the requested condition if and only if the current state of auditing allows that transition. Legitimate values for condition are:

    AUC_UNSET
        on/off has not been decided yet
    AUC_AUDITING
        auditing is to be done
    AUC_NOAUDIT
        auditing is not to be done

The permitted transitions are:

•   Any condition may be changed back to itself.

•   AUC_UNSET may be changed to AUC_AUDITING or AUC_NOAUDIT.

•   AUC_AUDITING may be changed to AUC_NOAUDIT.

•   AUC_NOAUDIT may be changed to AUC_AUDITING.

Once changed, it is not possible to get back to AUC_UNSET.

Only the super-user may successfully execute this call.

RETURN VALUES
auditon() returns the old audit condition value on success. On failure, it returns -1 and sets errno to indicate the error.

ERRORS

EINVAL
    The condition specified is outside the range of valid values.

    The current condition precludes the requested change.

EPERM
    Neither of the process's effective or real user ID is super-user.

SEE ALSO
audit(2), setuseraudit(2)